Skip Menu |
 

This queue is for tickets about the Algorithm-FloodControl CPAN distribution.

Report information
The Basics
Id: 66562
Status: new
Priority: 0/
Queue: Algorithm-FloodControl

People
Owner: Nobody in particular
Requestors: ANDK [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 2.000000
Fixed in: (no value)



Subject: Nondependency Module::Installed declared as required
Download (untitled) / with headers
text/plain 687b
Ha, now that I've probably written 1000 tickets about undeclared dependencies, I discover declared dependencies that are none. Background is that Module::Install 1.00 is broken for quite a while now, at least with bleadperls: http://matrix.cpantesters.org/?dist=Module-Install&maxver= So Algorithm::Floodcontrol gets less test coverage that one would wish. What's worse, all dependencies of A:FC get reduced test coverage too. Module::Install is designed to not be a dependency for the end user, so you can safely drop the dependency declaration in the Makefile.PL. I have verified that all tests pass without having Module::Install installed. Sorry for the intrusion, Best wishes,


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.